<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>{{ todo_list.name }}</title>
    </head>
    <body>
        <main>
            <div>
                <h1>{{ todo_list.name }}</h1>
                <p>
                    <a href="{% url 'todo_list_update' id=todo_list.id %}">Edit</a>
                </p>
                <h2>Tasks</h2>
                <table>
                    <thead>
                        <tr>
                            <th>Task</th>
                            <th>Due date</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in todo_list.items.all %}
                            <tr>
                                <td>{{ item.task }}</td>
                                <td>{{ item.due_date }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
